## org.eclipse.datatools.sqltools.debugger.perspectives
Class DebuggerPerspective

    java.lang.Object
      org.eclipse.datatools.sqltools.debugger.perspectives.DebuggerPerspective

All Implemented Interfaces:
  org.eclipse.ui.IPerspectiveFactory

    public class DebuggerPerspective

extends java.lang.Object
implements org.eclipse.ui.IPerspectiveFactory

The Debugger persective implementation

Author:
  Samir Nigam, Arathi Sarvesh - Added code for "change perspective."

Field Summary
`static java.lang.String` `DEBUGGER_PERSPECTIVE_ID`
`static java.lang.String` `ID_CONSOLE_FOLDER_VIEW`
`static java.lang.String` `ID_NAVIGATOR_FOLDER_VIEW`
`static java.lang.String` `ID_OUTLINE_FOLDER_VIEW`
`static java.lang.String` `ID_TOOLS_FOLDER_VIEW`

Constructor Summary
`DebuggerPerspective()`

Method Summary
`static void` `changePerspective()`
`void` `createInitialLayout(org.eclipse.ui.IPageLayout layout)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUGGER_PERSPECTIVE_ID

    public static final java.lang.String DEBUGGER_PERSPECTIVE_ID

See Also:
  Constant Field Values

### ID_NAVIGATOR_FOLDER_VIEW

    public static final java.lang.String ID_NAVIGATOR_FOLDER_VIEW

See Also:
  Constant Field Values

### ID_TOOLS_FOLDER_VIEW

    public static final java.lang.String ID_TOOLS_FOLDER_VIEW

See Also:
  Constant Field Values

### ID_CONSOLE_FOLDER_VIEW

    public static final java.lang.String ID_CONSOLE_FOLDER_VIEW

See Also:
  Constant Field Values

### ID_OUTLINE_FOLDER_VIEW

    public static final java.lang.String ID_OUTLINE_FOLDER_VIEW

See Also:
  Constant Field Values

Constructor Detail

### DebuggerPerspective

    public DebuggerPerspective()

Method Detail

### createInitialLayout

    public void createInitialLayout(org.eclipse.ui.IPageLayout layout)

  Specified by:
    `createInitialLayout` in interface `org.eclipse.ui.IPerspectiveFactory`

### changePerspective

    public static void changePerspective()